#include "mainNode/CruiseController.h"

#include "PlatoonProtocolLib/VehicleFacade.h"

#include <iostream>

namespace car {

CruiseController::CruiseController(platoonProtocol::VehicleFacade& c2c, 
                                   EgoMotion& egoMotion,
                                   PlatoonController& platoonController)
    : c2c(c2c)
      , egoMotion(egoMotion)
      , platoonController(platoonController)
{ }

void CruiseController::run() {
    std::cout << "CruiseController was run." << std::endl;
}

}
